Sazabi
APIComponents

Preview a component merge

Preview one-hop redirects, historical preservation, operational rebinding, and policy dispositions for component consolidation.

POST https://api.sazabi.com/v1/components/merge/preview

POST
/components/merge/preview

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/components/merge/preview" \  -H "Content-Type: application/json" \  -d '{    "sourceComponentId": "34a8b2bc-e610-4f3a-97af-c95ca8a0231c",    "targetComponentId": "f827f33c-a57f-4a69-918c-db5700f83e84"  }'
{  "preview": {    "sourceComponentId": "34a8b2bc-e610-4f3a-97af-c95ca8a0231c",    "targetComponentId": "f827f33c-a57f-4a69-918c-db5700f83e84",    "organizationId": "string",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "sourceGroupComponentIds": [      "8c2848b9-48a5-4628-8ea4-44aac51bb161"    ],    "targetGroupComponentIds": [      "82f48491-56d0-4f8a-b555-d43ddb0dd00f"    ],    "affectedComponentIds": [      "0fdea54a-2d18-4bfa-9be7-ec94b1cb5190"    ],    "componentRevisions": {      "property1": 0,      "property2": 0    },    "inventory": {      "openIssueIds": [        "32c2a6e1-24d3-4ba7-8981-03e9a0b596e5"      ],      "componentIssueIds": [        "3c32aa5e-f169-40b6-80f5-65b8763b5e6a"      ],      "observationIds": [        "4a5385f6-9746-430c-877c-a6fbfb67040d"      ],      "dataSourceMappingIds": [        "6e74d2ea-3dc3-41fc-bd48-d185aed2ef16"      ],      "nameIds": [        "46388ad0-4cd3-42da-91c1-d70f5c4eb8d3"      ],      "recommendationScopeIds": [        "a6bccf0a-13a5-400c-9d0b-1af7cc2682de"      ]    },    "notificationPolicies": [      {        "kind": "notification_rule",        "policyId": "2f5573e6-5ba4-48f2-a75d-df99c936463b",        "sourceRowRevision": 0,        "sourceComponentId": "34a8b2bc-e610-4f3a-97af-c95ca8a0231c",        "equivalentPolicyId": "993cd06b-8216-4dd2-8f44-a18df21beb8f",        "equivalent": true,        "defaultDisposition": "deduplicate",        "allowedDispositions": [          "suspend"        ],        "beforeComponentIds": [          "dda38f46-aab6-4206-900d-d152405dd1da"        ],        "afterComponentIds": [          "3fc69601-ea16-4048-bdd7-eb640d7bb9b5"        ]      }    ],    "automationBindings": [      {        "kind": "notification_rule",        "policyId": "2f5573e6-5ba4-48f2-a75d-df99c936463b",        "sourceRowRevision": 0,        "sourceComponentId": "34a8b2bc-e610-4f3a-97af-c95ca8a0231c",        "equivalentPolicyId": "993cd06b-8216-4dd2-8f44-a18df21beb8f",        "equivalent": true,        "defaultDisposition": "deduplicate",        "allowedDispositions": [          "suspend"        ],        "beforeComponentIds": [          "dda38f46-aab6-4206-900d-d152405dd1da"        ],        "afterComponentIds": [          "3fc69601-ea16-4048-bdd7-eb640d7bb9b5"        ]      }    ],    "owningTeams": [      {        "componentId": "616ccd92-d666-4180-8349-8d125b269fac",        "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",        "teamName": "string"      }    ],    "recommendationScopeEnabled": false,    "dependentCount": 0,    "ordinaryTransactionLimit": -9007199254740991,    "operatorAssistanceRequired": true,    "confirmationRequired": true  }}